public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Denis Dupeyron" <calchan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/thunarx-python/
Date: Mon, 27 Nov 2017 20:50:50 +0000 (UTC)	[thread overview]
Message-ID: <1511815714.c8ba1024d901b1755a8d297939fa49450720cc8d.calchan@gentoo> (raw)

commit:     c8ba1024d901b1755a8d297939fa49450720cc8d
Author:     Denis Dupeyron <calchan <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 27 20:48:34 2017 +0000
Commit:     Denis Dupeyron <calchan <AT> gentoo <DOT> org>
CommitDate: Mon Nov 27 20:48:34 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c8ba1024

dev-python/thunarx-python: remove obsolete xfconf.eclass, migrate to EAPI6

Package-Manager: Portage-2.3.13, Repoman-2.3.3

 .../thunarx-python/thunarx-python-0.3.0-r2.ebuild  | 34 ++++++++++++++++++++++
 1 file changed, 34 insertions(+)

diff --git a/dev-python/thunarx-python/thunarx-python-0.3.0-r2.ebuild b/dev-python/thunarx-python/thunarx-python-0.3.0-r2.ebuild
new file mode 100644
index 00000000000..437e445d932
--- /dev/null
+++ b/dev-python/thunarx-python/thunarx-python-0.3.0-r2.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+
+inherit python-single-r1
+
+DESCRIPTION="Python bindings for the Thunar file manager"
+HOMEPAGE="https://goodies.xfce.org/projects/bindings/thunarx-python"
+SRC_URI="mirror://xfce/src/bindings/${PN}/0.3/${P}.tar.bz2"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="${PYTHON_DEPS}
+	x11-libs/gtk+:2
+	dev-libs/glib:2
+	>=dev-python/pygobject-2.16:2[${PYTHON_USEDEP}]
+	dev-python/pygtk:2[${PYTHON_USEDEP}]
+	>=xfce-base/thunar-1.1.0"
+DEPEND="${RDEPEND}
+	virtual/pkgconfig"
+REQUIRED_USE=${PYTHON_REQUIRED_USE}
+
+DOCS=( AUTHORS ChangeLog NEWS README )
+
+src_install() {
+	default
+
+	find "${D}" -name '*.la' -delete || die
+}


             reply	other threads:[~2017-11-27 20:50 UTC|newest]

Thread overview: 11+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-11-27 20:50 Denis Dupeyron [this message]
  -- strict thread matches above, loose matches on Subject: below --
2017-12-25 11:12 [gentoo-commits] repo/gentoo:master commit in: dev-python/thunarx-python/ Michał Górny
2018-01-05 10:27 Mikle Kolyada
2018-02-13  9:51 Michał Górny
2018-06-17 12:11 Michał Górny
2020-01-18 18:48 Michał Górny
2020-02-09 16:18 Michał Górny
2021-01-30 16:59 Michał Górny
2021-03-02  4:49 Sam James
2021-03-02  5:55 Sam James
2022-05-31  7:19 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1511815714.c8ba1024d901b1755a8d297939fa49450720cc8d.calchan@gentoo \
    --to=calchan@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox